<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rllatentFault_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rllatentFault_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmwave radar device latent fault test  
 <a href="structrllatent_fault__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_device.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a7010f19e5d77df953b67e6318156f231"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7010f19e5d77df953b67e6318156f231"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrllatent_fault__t.html#a7010f19e5d77df953b67e6318156f231">testEn1</a></td></tr>
<tr class="memdesc:a7010f19e5d77df953b67e6318156f231"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bits Definition <br />
 0 MibSPI self-test <br />
 1 DMA self-test <br />
 2 RESERVED <br />
 3 RTI self-test <br />
 4 ESM self-test <br />
 5 EDMA self-test <br />
 6 CRC self-test <br />
 7 VIM self-test <br />
 8 RESERVED <br />
 9 Mailbox self-test <br />
 10 LVDS pattern generation test <br />
 11 CSI2 pattern generation test <br />
 12 Generating NERROR <br />
 13 MibSPI single bit error test <br />
 14 MibSPI double bit error test <br />
 15 DMA Parity error <br />
 16 TCMA RAM single bit errors <br />
 17 TCMB RAM single bit errors <br />
 18 TCMA RAM double bit errors <br />
 19 TCMB RAM double bit errors <br />
 20 TCMA RAM parity errors. <br />
 21 TCMB RAM parity errors. <br />
 22 RESERVED <br />
 23 RESERVED <br />
 24 DMA MPU Region tests <br />
 25 MSS Mailbox Single bit errors <br />
 26 MSS Mailbox double bit errors <br />
 27 radarSS Mailbox Single bit errors <br />
 28 radarSS Mailbox double bit errors <br />
 29 EDMA MPU test <br />
 30 EDMA parity test <br />
 31 CSI2 parity test <br />
. <br /></td></tr>
<tr class="separator:a7010f19e5d77df953b67e6318156f231"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2ce87d4728fe953c884b8e50d145924"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab2ce87d4728fe953c884b8e50d145924"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrllatent_fault__t.html#ab2ce87d4728fe953c884b8e50d145924">testEn2</a></td></tr>
<tr class="memdesc:ab2ce87d4728fe953c884b8e50d145924"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bits Definition <br />
 0 DCC self test <br />
 1 DCC fault insertion <br />
 2 PCR fault generation test <br />
 3 VIM RAM parity test <br />
 4 SCI boot time test <br />
 31:5 RESERVED <br />
. <br /></td></tr>
<tr class="separator:ab2ce87d4728fe953c884b8e50d145924"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37d1782ecb5a8368c711aeac70bf9fde"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37d1782ecb5a8368c711aeac70bf9fde"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrllatent_fault__t.html#a37d1782ecb5a8368c711aeac70bf9fde">repMode</a></td></tr>
<tr class="memdesc:a37d1782ecb5a8368c711aeac70bf9fde"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value Definition <br />
 0 Report is send only upon a failure <br />
 1 Report is sent post test completion <br />
. <br /></td></tr>
<tr class="separator:a37d1782ecb5a8368c711aeac70bf9fde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28ec972ea00c11c496a79d8ef4a82a6c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28ec972ea00c11c496a79d8ef4a82a6c"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrllatent_fault__t.html#a28ec972ea00c11c496a79d8ef4a82a6c">testMode</a></td></tr>
<tr class="memdesc:a28ec972ea00c11c496a79d8ef4a82a6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value Definition <br />
 0 Production mode. Latent faults are tested and any failures are reported <br />
 1 Characterization mode. Faults are injected and failures are reported which <br />
 allows testing of the failure reporting <br />
. <br /></td></tr>
<tr class="separator:a28ec972ea00c11c496a79d8ef4a82a6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5da8b096e8ab270162b2564117d1bad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5da8b096e8ab270162b2564117d1bad"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrllatent_fault__t.html#ac5da8b096e8ab270162b2564117d1bad">reserved</a></td></tr>
<tr class="memdesc:ac5da8b096e8ab270162b2564117d1bad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:ac5da8b096e8ab270162b2564117d1bad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmwave radar device latent fault test </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_device.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
